Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api.peer
Class PngBuilderPeer

    java.lang.Object
      |
      +--com.macromedia.generator.api.peer.PngBuilderPeer

public class PngBuilderPeer
extends java.lang.Object

Constructor Summary
`PngBuilderPeer()`

Method Summary
`(package private) static void` | `()`
`static int` | `Build(int i, int j, int k)`
`static int` | `New()`
`static int` | `Release(int i)`
`static int` | `SetColorOptimization(int i, boolean flag)`
`static int` | `SetDimensions(int i, int j, int k)`
`static int` | `SetDither(int i, boolean flag)`
`static int` | `SetDitherType(int i, int j)`
`static int` | `SetExactFit(int i, boolean flag)`
`static int` | `SetFilePalette(int i, java.lang.String s)`
`static int` | `SetGradient(int i, boolean flag)`
`static int` | `SetInterlace(int i, boolean flag)`
`static int` | `SetMaxColors(int i, int j)`
`static int` | `SetOption(int i, int j)`
`static int` | `SetPaletteType(int i, int j)`
`static int` | `SetSerial(int i, int j)`
`static int` | `SetSmooth(int i, boolean flag)`
`static int` | `SetType(int i, int j)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PngBuilderPeer

    public PngBuilderPeer()

Method Detail

### Build

    public static int Build(int i,
                            int j,
                            int k)

### New

    public static int New()

### Release

    public static int Release(int i)

### SetColorOptimization

    public static int SetColorOptimization(int i,
                                           boolean flag)

### SetDimensions

    public static int SetDimensions(int i,
                                    int j,
                                    int k)

### SetDither

    public static int SetDither(int i,
                                boolean flag)

### SetDitherType

    public static int SetDitherType(int i,
                                    int j)

### SetExactFit

    public static int SetExactFit(int i,
                                  boolean flag)

### SetFilePalette

    public static int SetFilePalette(int i,
                                     java.lang.String s)

### SetGradient

    public static int SetGradient(int i,
                                  boolean flag)

### SetInterlace

    public static int SetInterlace(int i,
                                   boolean flag)

### SetMaxColors

    public static int SetMaxColors(int i,
                                   int j)

### SetOption

    public static int SetOption(int i,
                                int j)

### SetPaletteType

    public static int SetPaletteType(int i,
                                     int j)

### SetSerial

    public static int SetSerial(int i,
                                int j)

### SetSmooth

    public static int SetSmooth(int i,
                                boolean flag)

### SetType

    public static int SetType(int i,
                              int j)

###

    static void ()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD